CREATE TABLE hrc_loader_metadata_registry (
    METADATA_ID                  NUMBER(18, 0) ,
    OBJECT_NAME                  VARCHAR2(400)     NOT NULL,
    OBJECT_ADR_NAME              VARCHAR2(400)     NOT NULL,
    OBJECT_FULL_NAME             VARCHAR2(1024)    NOT NULL,
    OWNING_APP_NAME              VARCHAR2(1024)    NOT NULL,
    OWNING_APP_CONFIG            VARCHAR2(400)     NOT NULL,
    OWNING_APP_ROOT_VO           VARCHAR2(400)     NOT NULL,
    OBJECT_MODE                  VARCHAR2(400) ,
    PROCESSING_ORDER             NUMBER(18, 0) ,
    HASH_VALUE                   VARCHAR2(400) ,
    CALLBACK_CLASS_NAME          VARCHAR2(4000),
    ODI_SCENARIO_NAME            VARCHAR2(1024),
    ODI_SCENARIO_VERSION         VARCHAR2(400) ,
    WS_CONNECTION_QNAME          VARCHAR2(1024),
    WS_QNAME                     VARCHAR2(1024),
    WS_PORT_QNAME                VARCHAR2(1024),
    CALLBACK_CONNECTION_QNAME    VARCHAR2(1024),
    CALLBACK_QNAME               VARCHAR2(1024),
    CALLBACK_PORT_QNAME          VARCHAR2(1024),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    MODULE_ID                    VARCHAR2(128) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    DISPLAY_ORDER                NUMBER(18, 0) ,
    SL_OPERATION                 VARCHAR2(128) ,
    OBJECT_DESCRIPTION           VARCHAR2(4000),
    LEGISLATION_CODE             VARCHAR2(128) ,
    HR2HR_OBJECT                 VARCHAR2(4)   ,
    SPREADSHEET_OBJECT           VARCHAR2(4)   ,
    METADATA_ID                  NUMBER(18, 0) ,
    OBJECT_NAME                  VARCHAR2(400)     NOT NULL,
    OBJECT_ADR_NAME              VARCHAR2(400)     NOT NULL,
    OBJECT_FULL_NAME             VARCHAR2(1024)    NOT NULL,
    OWNING_APP_NAME              VARCHAR2(1024)    NOT NULL,
    OWNING_APP_CONFIG            VARCHAR2(400)     NOT NULL,
    OWNING_APP_ROOT_VO           VARCHAR2(400)     NOT NULL,
    OBJECT_MODE                  VARCHAR2(400) ,
    PROCESSING_ORDER             NUMBER(18, 0) ,
    HASH_VALUE                   VARCHAR2(400) ,
    CALLBACK_CLASS_NAME          VARCHAR2(4000),
    ODI_SCENARIO_NAME            VARCHAR2(1024),
    ODI_SCENARIO_VERSION         VARCHAR2(400) ,
    WS_CONNECTION_QNAME          VARCHAR2(1024),
    WS_QNAME                     VARCHAR2(1024),
    WS_PORT_QNAME                VARCHAR2(1024),
    CALLBACK_CONNECTION_QNAME    VARCHAR2(1024),
    CALLBACK_QNAME               VARCHAR2(1024),
    CALLBACK_PORT_QNAME          VARCHAR2(1024),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    MODULE_ID                    VARCHAR2(128) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    DISPLAY_ORDER                NUMBER(18, 0) ,
    SL_OPERATION                 VARCHAR2(128) ,
    OBJECT_DESCRIPTION           VARCHAR2(4000),
    LEGISLATION_CODE             VARCHAR2(128) ,
    HR2HR_OBJECT                 VARCHAR2(4)   ,
    SPREADSHEET_OBJECT           VARCHAR2(4)   ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    CONSTRAINT pk_hrc_loader_metadata_registry PRIMARY KEY (METADATA_ID, METADATA_ID)
);
